#right_slice .contentti {
    margin: 0px auto;
    max-width: 850px;
}

#right_slice .contentti #wrap_kuvien_lisays {
	display: flex;
	width:100%;
	height:auto;
	padding: 30px 20px;
	margin:25px auto;
	color:black;
	justify-content: space-between;
	align-items: center;
	border-radius: 0px;
	box-sizing: border-box;
	border-bottom: 2px dashed rgba(224,224,224,0.20);
}

#right_slice .contentti #wrap_kuvien_lisays form {
	display: inherit;
	margin: 0;
	padding: 0;
}

#right_slice .contentti #wrap_kuvien_lisays #mainoskuva {
	display: none;
}

#right_slice .contentti #wrap_kuvien_lisays label{
	display: inline-block;
	position: relative;
	background-color:rgba(82,195,236,1.00);
	line-height: 50px;
	width: auto;
	height: 50px;
	font-size: 20px;
	font-weight: 500;
	border-radius: 22px;
	color:white;
	letter-spacing: 1px;
	box-sizing: border-box;
	padding: 0px 25px 0px 60px;
}

#right_slice .contentti #wrap_kuvien_lisays label:before{
	position: absolute;
	top:0px;
	left: 5px;
	width:50px;
	height: 50px;
	content:"";
	background-size: 26px 26px;
	background-repeat: no-repeat;
	background-position: center;
	filter: invert();
	background-image: url("/admin/imgs/upload-to-cloud.svg");
}

#right_slice .contentti #wrap_kuvien_lisays button#btn_back,
#right_slice .contentti #wrap_kuvien_lisays button#btn_lataa {
	display: none;
	background-color:rgba(13,79,161,1.00);
	-webkit-appearance:none;
	width:auto;
	height:50px;
	line-height: 50px;
	outline: none;
	border:0;
	font-size: 20px;
	font-weight: 500;
	color:white;
	padding: 0px 25px;
	border-radius: 22px;
	margin: 0px 15px;
}

#right_slice .contentti #wrap_kuvien_lisays button#btn_back{
	display: block;
}

#right_slice .contentti #wrap_all_images{
	display:block;
	width:100%;
	height:auto;
	border-radius:10px;
	padding:5px;
	box-sizing:border-box;
	text-align:center;
}

#right_slice .contentti .kuvawrap{
	display:inline-flex;
	width:220px;
	height:auto;
	min-height: 250px;
	border:1px solid rgba(22,22,22,0.3);
	margin: max(2%, 10px) max(1%, 10px);
	padding:0px 5px 40px 5px;
	background-color: rgba(255,255,255,1.00);
	box-sizing:border-box;
	overflow:hidden;
	position:relative;
	justify-content: center;
	align-items: center;
	border-radius:6px;
	vertical-align:top;
	text-align:center;
	}

#right_slice .contentti .kuvawrap img{
	text-align:center;
	width:auto;
	max-width: 90%;
	max-height: 160px;
	display:block;
	object-fit: cover;
	margin:auto auto;
	}

#right_slice .contentti .kuvawrap input{
	width:100%;
	height:20px;
	line-height:20px;
	margin:3px 0px 0px 0px;
	}

#right_slice .contentti .kuvawrap .green{
position:absolute;
left:5px;
bottom:5px;
background-color:rgba(20,202,22,0.7);
color:white;
width:70%;
height:25px;
padding:0px 0px;
line-height:25px;
margin:0px auto;
font-size:13px;
	border-radius:5px;
	border:0;
}

#right_slice .contentti .kuvawrap .poista{
position:absolute;
right:5px;
bottom:5px;
background-color:rgba(202,20,22,0.99);
color:white;
width:25%;
height:25px;
padding:0px 0px;
line-height:25px;
margin:0px auto;
font-size:13px;
	border-radius:5px;
	border:0;
}

#right_slice .contentti .device{
	position:relative;
	display: flex;
	flex-direction: row;
	width:100%;
	height:auto;
	background-color:#ffffff;
	margin: 4px 0px;
	border-radius: 50px;
	padding:0px 15px;
	box-sizing: border-box;
	align-items: center;
	justify-content: space-between;
	flow:1;
}

#right_slice .contentti .device img {
	max-width:33px;
	max-height:33px;
	margin: 0px 10px 0px 0px;
}

#right_slice .contentti .device > img:first-of-type {
	width: 42px;
	height: 42px;
	max-width: inherit;
	max-height: inherit;
	clip-path: circle();
	padding: 10px;
	box-sizing: border-box;
}

#right_slice .contentti .device > img.off:first-of-type { background-color: rgba(210,13,13,1.00); }
#right_slice .contentti .device > img.on:first-of-type { background-color: limegreen; }

#right_slice .contentti .device p {
	width: 100%;
	padding:0px 10px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	box-sizing: border-box;
    font-weight: 800;
    text-transform: capitalize;
    color: #2F2F2F;
	text-align: left;
}

#right_slice .contentti .device p:nth-of-type(1) { justify-content: flex-start;}
#right_slice .contentti .device p:nth-of-type(2) { justify-content: flex-end; text-align: right; }

#right_slice .contentti .device .popupslide{
	display:none;
	width:180px;
	height:auto;
	padding: 5px 5px;
	box-sizing: border-box;
	border-radius: 12px;
	background-color:rgba(254,254,254,1.00);
	box-shadow: 0px 2px 10px rgba(22,22,22,0.8);
}

#right_slice .contentti .device input[type="checkbox"]:checked + .popupslide{
	display: block;
	position: absolute;
	top:15px;
	right:110px;
	z-index: 567;
}

#right_slice .contentti .device .popupslide div, 
#right_slice .contentti .device .popupslide label {
	display: block;
	width:100%;
	height:auto;
	font-size: 14px;
	line-height: 30px;
	background-color:rgba(235,235,235,1.00);
	text-align: left;
	border-radius: 12px;
	margin: 4px 0px;
	padding: 0px 15px;
	color:rgba(69,69,69,1.00);
	box-sizing: border-box;
	cursor: pointer;
}


#right_slice .contentti .mainos {
	display: flex;
	background-color: white;
    width:100%;
    height:auto;
	align-items: center;
	justify-content: space-between;
    flex-direction: row;
    padding: 5px;
	margin:0px 0px;
    overflow: hidden;
    box-sizing: border-box;
    border-radius: 12px;
    z-index: 0;
}

#right_slice .contentti .mainos .mediawrap {
    display: flex;
	width: 30%;
	margin:0px 0px;
    object-position: center;
    z-index: -1;
}

#right_slice .contentti .mainos .mediawrap video,
#right_slice .contentti .mainos .mediawrap img,
#right_slice .contentti .mainos .mediawrap audio{
	width:100%;
	height:100%;
	object-fit: cover;
}

#right_slice .contentti #lbttn{
    height: 50px;
    line-height: 50px;
    font-size: 15px;
    background-color:rgba(67,147,232,1.00);
    box-shadow: inset 0px -20px 5px rgba(28,74,179,1.00); 
    padding: 0px 25px;
    border-radius: 50px;
    color:white;
    transition: all 0.2s;
}

#right_slice .contentti #lbttn:hover{
    box-shadow: inset 0px -26px 5px rgba(28,74,179,1.00); 
    transform:scale(1.04);
}

#right_slice .contentti .mainos img {
	width:35px;
	height:35px;
}

#right_slice .contentti .mainos div {
	display: flex;
	width:100%;
	height: auto;
	line-height: 25px;
	font-size: 14px;
	text-align: left;
	margin:0px;
}


#right_slice .contentti .mainos p {
	display: flex;
	width:100%;
	height: auto;
	line-height: 25px;
	font-size: 14px;
	text-align: left;
	margin:0px;
}

input[type='checkbox']#btt{
    display: none;
}


#addnew {
    position: fixed;
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    top:0px;
    left:0px;
    width:100vw;
    height: 100svh;
    backdrop-filter:blur(5px);
    background-color:rgba(29,29,29,0.80);
}

input[type='checkbox']#btt:checked ~ #addnew{
    display: flex;
}

#addnew #add_new_center{
    background-color:rgba(239,239,239,1.00);
    border-radius: 25px;
    padding:50px 35px;
    max-width: 480px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap:10px 0px;
}

#addnew #add_new_center h2{
    margin: 0;
    font-weight: 800;
    text-align: center;
    color:rgba(49,49,49,1.00);
}

#addnew #add_new_center p{
    margin: 10px 0px;
    line-height: 32px;
    font-weight: 300;
    text-align: center;
    color:rgba(93,93,93,1.00);
}

#addnew #add_new_center label{
    font-size: 14px;
    color:rgba(139,139,139,1.00);
    letter-spacing: 1px;
}

#addnew #add_new_center input[type="text"]{
    display: flex;
    margin: 0px;
    padding: 0px 25px;
    background-color:white;
    outline:none;
    width: 100%;
    height:55px;
    line-height: 55px;
    border:0;
    box-sizing: border-box;
    font-size:16px;
    font-weight: 500;
    border-radius: 25px;
}


